GNOME Terminal User's Guide
<<< Previous |  | Next >>>

# Command line options

- `--background `COLOUR``

  Used to specify the background colour for the terminal at startup. The `COLOUR` can be any form accepted by your windowing system.

- `--tclass `CLASSNAME``

  Specifies the terminal class used to configure the terminal at startup.

- `--command `CMD`, -e `CMD``

  Runs the `CMD` command at startup time.

- `--execute `CMD ARGS`, -x `CMD ARGS``

  Executes the command `CMD` with its arguments `ARGS` on startup. No arguments beyond this one will be processed by the terminal. This behaviour mimics the xterm -e behaviour.

- `--font `FONT``

  Sets the font of the terminal to `FONT`

- `--foreground `COLOUR``

  Sets the foreground of the terminal to `COLOUR` .

- `--geometry `GEOMETRY``

  Specifies the startup geometry for this terminal. The geometry specifies the desired width and height in terminal characters. For example: `--geometry=80x40` will create an eighty-column by forty-line terminal. You can also specify the location of the terminal window on the screen; for example, `--geometry=80x40+100+200` will create a window whose top left corner is 100 pixels to the right and 200 pixels down from the top left corner of the screen, while `--geometry=80x40+100-200` will give a window whose bottom left corner is 100 pixels to the right and 200 pixels up from the bootm left corner of the screen.

- `--login`

  Make `GNOME Terminal` launch the shell in login mode (it will run all of your login initialization scripts in this mode).

- `--nologin`

  Make `GNOME Terminal` only launch a shell, without running any login initialization scripts. This is the default, unless you have selected `Use --login by default` in the preferences dialog.

- `--noutmp`

  Indicates that this and the associated shell should not be registered in the system database of users logged into the computer.

- `--utmp`

  Indicates that the user wants this terminal to be registered in the system database of users logged into the computer (the utmp database). This is the default.

- `--lastlog`

  Always create a lastlog entry for each terminal login.

- `--nolastlog`

  Do not create a lastlog entry for each terminal login.

- `--title `TITLE`, -t `TITLE``

  Makes `GNOME Terminal` use `TITLE` for the window caption.

- `--termname `TERMNAME``

  Makes `GNOME Terminal` use `TERMNAME` as the value of the `TERM` environment variable.

- `--start-factory-server`

  Try to start the TerminalFactory service for this terminal (see below).

- `--use-factory`

  If there is already a terminal process started with `--start-factory-server` option, then running the command gnome-terminal --use-factory will create a new terminal window owned by the existing teminal process. In other words, it will have the same effect as choosing File->New terminal in the existing terminal.

  If there is no TerminalFactory running, then this option has no effect.

You can use more than one option at once: for example, on a machine with the text-based web browser `Lynx` installed, gnome-terminal --title Web --command lynx will open a `GNOME Terminal` which starts up `Lynx` and has a titlebar which says "Web".

<<< Previous | Home | Next >>>
Terminal classes |  | Environment